// Licensed Materials - Property of IBM
// 5724-M22, 5724-M23, 5724-M24, 5724-L01, 5724-R31
// (C) Copyright IBM Corporation 2011, 2012. 
// US Government Users Restricted Rights- Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.

dojo.provide("com.ibm.themes.socialPortalTheme.common");

//cs: here we programmatically add a link element in order to make use of the 'themeRootURI' javascript variable
var linkElement = document.createElement("link");
linkElement.rel = "stylesheet";
linkElement.type = "text/css";
linkElement.href = ibmCfg.themeConfig.themeRootURI + "/theme.css";
var headElement= document.getElementsByTagName("head")[0];  
headElement.appendChild(linkElement);
// end create link element

//bp: fix up lang and bidi values that mashups handles with nls versions of theme
var locale = djConfig.locale;
if ((locale.length > 2) && (locale.charAt(2) == '-')) {
	locale = locale.substring(0,2) + '_' + locale.substring(3).toUpperCase(); 
}
document.documentElement.setAttribute('lang',locale);
document.documentElement.setAttribute('xml:lang',locale);
if ((locale == 'ar') || (locale == 'iw') || (locale == 'he')) {
	document.body.setAttribute('dir','rtl');
}

// bp: define a variable for the supported locales so that we have a common
// location that the code can reference to restrict which locales are
// searched for nls files within the core Business Space code.  
window.bspaceSupportedLocales = "ar,cs,de,el,es,fr,he,hu,it,iw,ja,ko,pl,pt,ro,ru,tr,zh,zh-tw,da,fi,nb,sk,sv,nl,no";

// rt: register BSpace theme bundles now
//var cs = com.ibm.mashups.services.ServiceManager.getService(com.ibm.mashups.enabler.services.ConfigService.SERVICE_NAME);
//var co = cs.getConfigObject(com.ibm.mashups.enabler.services.ConfigConstants.ENDPOINT_CONFIG_PROVIDER);
//var serverEndpointURL = co.getValue("{com.ibm.bspace}bspaceServerRootId.url");
//console.log("serverEndpointURL ='" + serverEndpointURL  + "'");

// bp: run the following logic after the PageBuilder2 theme is initialized
com.ibm.themes.socialPortalTheme.common.init = function() {
	
}

